/*  $Id: sprintf.cc,v 1.2 1997/06/21 12:13:12 shaggy Exp $
 *      Originally written by Frank Barrus
 *      and hereby granted to the Public Domain
 *      relative path: ./lib/posix
 *  
 *      Shag/OS: an Object-Oriented MicroKernel Operating System
 *       Libraries
 *        Posix-compliant code
 *  
 *  Originally written by Frank Barrus, and hereby granted to the
 *  Public Domain, with the hope that it may be useful.
 *  Please document all changes to this file if it is redistributed,
 *  and, whenever reasonable, keep derviations of this work in the public domain,
 *  and freely available to all who might benefit from it.
 *  THIS FILE IS PROVIDED "AS IS", WITH NO WARRANTY, EXPRESS OR IMPLIED.
 */

//  $Log: sprintf.cc,v $
//  Revision 1.2  1997/06/21 12:13:12  shaggy
//  header update
//
//  Revision 1.1  1997/01/21 05:04:01  shaggy
//  Initial revision
//
//      creation date: 1992


#include <types.h>
#include <posix/stdarg.h>
#include <posix/stddef.h>
#include <posix/stdio.h>


/* printf() to a string: */

int sprintf(char *s, const char *fmt, ...)
{
va_list args;
int len;
	va_start(args,fmt);
	len = vsprintf(s, fmt, args);
	va_end(args);
	return(len);
}


