/*  defines.hh                                                  (CRC:a7a93817)
 *      relative path: ./lib/stdc++
 *      creation date: Fri Feb 24 00:07:19 1995
 *      last modified: Sat Jun 21 08:22:18 1997
 *      header update: Sat Jun 21 08:22:18 1997
 *  
 *      Shag/OS: an Object-Oriented MicroKernel Operating System
 *       Libraries
 *        Standard C++
 *  
 *  Copyright (c) 1996 Frank E. Barrus.  All rights reserved.
 *  
 *  This file is part of the Shag/OS distribution, and may be freely used and
 *  distributed by the terms of the ShagWare General Public License (SGPL),
 *  version 2, or, at your option, any newer official version of that License.
 *  
 *  THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY, EXPRESS OR IMPLIED.
 *  THE AUTHOR SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF ANY KIND,
 *  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 *  FITNESS FOR A PARTICULAR PURPOSE, AND WILL NOT BE LIABLE FOR ANY DAMAGES.
 *  For more warranty details, see the ShagWare General Public License, which
 *  should have been received with this program, in a file called 'lic_spl2.txt'
 *  If this license is missing, please contact the author and describe how
 *  this software was obtained.  Email: shaggy@mail.csh.rit.edu
 *  
 *  Complete, unaltered, original distributions of this and related code
 *  may be obtained from:   http://www.csh.rit.edu/~shaggy/software.html
 *  or:	ftp://ftp.csh.rit.edu/pub/csh/shaggy
 */

// defines

#include <types.h>

enum capacity { default_size, reserve } ;
const size_t	NPOS = (size_t)(-1);
const ppage_t	PPAGE_NONE = (ppage_t)(-1);
const vpage_t	VPAGE_NONE = (vpage_t)(-1);
const vaddr_t	VADDR_NONE = (vaddr_t)(-1);
const paddr_t	PADDR_NONE = (paddr_t)(-1);
const ref_t	REF_NONE = (ref_t)(-1);

void	_Nomemory();
